aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSébastien Fabbro <bicatali@gentoo.org>2013-09-17 08:47:12 -0700
committerSébastien Fabbro <bicatali@gentoo.org>2013-09-17 08:47:12 -0700
commit61c929ce168524edbb0be7443371a925131f412d (patch)
tree88f57067c3f2c980ed4e86d3522cc3b9a6979d97
parentMerge branch 'master' of git://git.overlays.gentoo.org/proj/sci; github.com:g... (diff)
parentMerge pull request #111 from mgorny/python-fixes (diff)
downloadsci-61c929ce168524edbb0be7443371a925131f412d.tar.gz
sci-61c929ce168524edbb0be7443371a925131f412d.tar.bz2
sci-61c929ce168524edbb0be7443371a925131f412d.zip
Merge branch 'master' of git://git.overlays.gentoo.org/proj/sci
-rw-r--r--dev-python/healpy/ChangeLog3
-rw-r--r--dev-python/healpy/healpy-1.6.2.ebuild8
2 files changed, 7 insertions, 4 deletions
diff --git a/dev-python/healpy/ChangeLog b/dev-python/healpy/ChangeLog
index aec23ab26..2aa801e23 100644
--- a/dev-python/healpy/ChangeLog
+++ b/dev-python/healpy/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 17 Sep 2013; Michał Górny <mgorny@gentoo.org> healpy-1.6.2.ebuild:
+ dev-python/healpy: Clean up python_test(). Bug #484426.
+
*healpy-1.6.2 (17 Jun 2013)
17 Jun 2013; Sébastien Fabbro <bicatali@gentoo.org> +healpy-1.6.2.ebuild,
diff --git a/dev-python/healpy/healpy-1.6.2.ebuild b/dev-python/healpy/healpy-1.6.2.ebuild
index 485c1b820..c90bd7be4 100644
--- a/dev-python/healpy/healpy-1.6.2.ebuild
+++ b/dev-python/healpy/healpy-1.6.2.ebuild
@@ -27,8 +27,8 @@ DEPEND="${RDEPEND}
virtual/pkgconfig"
python_test() {
- cd "${BUILD_DIR}"/lib*
- echo "backend: Agg" > matplotlibrc
- MPLCONFIGDIR=. PYTHONPATH=. nosetests-"${EPYTHON}" || die
- rm matplotlibrc
+ cd "${BUILD_DIR}"/lib || die
+ echo "backend: Agg" > matplotlibrc || die
+ MPLCONFIGDIR=. nosetests || die
+ rm matplotlibrc || die
}